#!/bin/sh
# dynamic_rules.sh - provides entries that are based upon remote hosts that use
# dhcp and dynamic dns.
# Copyright 2003-2005, Xperience, Inc. (http://www.pcxperience.com/)
# Provided with the PCXFirewall Toolkit 2.21+.

DEST_IP="1.2.3.4"   # change to the IP on your server you want to trap for

# make sure the RemoteAccess chain is empty in the nat table
/sbin/iptables -t nat -F RemoteAccess
/sbin/iptables -t nat -F RemoteAccessPOST
/sbin/iptables -t nat -F RemoteAccessOUT

# now add any rules to the RemoteAccess chain you need.
#/sbin/iptables -t nat -A RemoteAccess -d ${DEST_IP} -s SOURCE -p tcp --dport 22 -j ACCEPT

# make sure the RemoteAccess chain is empty in the filter table
/sbin/iptables -F RemoteAccess
/sbin/iptables -F RemoteAccessOUT

# now add any rules to the RemoteAccess chain you need.
#/sbin/iptables -A RemoteAccess -d ${DEST_IP} -s SOURCE -p tcp --dport 22 -j ACCEPT

# make sure the RemoteAccessForward chain is empty in the filter table
/sbin/iptables -F RemoteAccessForward

# now add any rules to the RemoteAccessForward chain you need.
